import * as $dara from '@darabonba/typescript';
export declare class RenewReservedInstancesResponseBodyReservedInstanceIdSets extends $dara.Model {
    reservedInstanceId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RenewReservedInstancesResponseBody extends $dara.Model {
    /**
     * @remarks
     * The order ID.
     *
     * @example
     * 2023912123****
     */
    orderId?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 8C314443-AF0D-4766-9562-C83B7F1****
     */
    requestId?: string;
    /**
     * @remarks
     * The IDs of the reserved instances.
     */
    reservedInstanceIdSets?: RenewReservedInstancesResponseBodyReservedInstanceIdSets;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
